ANABOX smart
API ReferenceDevicesRegisterdeviceDeviceid

Register a device

Associate an existing device with the authenticated organization.

POST
/devices/registerdevice/{deviceId}
x-api-key<token>

API key for authentication

In: header

Path Parameters

deviceIdstring

Device serial

enableboolean
organizationstring

A valid MongoDB ObjectId

patient?string|null

A valid MongoDB ObjectId

paper?string|null

A valid MongoDB ObjectId

Response Body

application/json

curl -X POST "https://api.memo.wirewire.de/v1/devices/registerdevice/DEVICE-EXAMPLE" \  -H "Content-Type: application/json" \  -d '{    "enable": true,    "organization": "682fd0d7d4a6325d9d45b86d",    "patient": "682fd0d7d4a6325d9d45b86d",    "paper": null  }'
{
  "success": true,
  "message": "Operation completed successfully"
}